> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getlokki.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Count



## OpenAPI

````yaml GET /v2/external/stores/count
openapi: 3.1.0
info:
  title: Lokki API
  description: API documentation for Lokki, a rental management application.
  license:
    name: MIT
  version: '2.0'
servers:
  - url: https://staging.api.eu-west-3.lokki.rent
  - url: https://prod.api.eu-west-3.getlokki.com
security:
  - x-access-token: []
paths:
  /v2/external/stores/count:
    get:
      operationId: external__getCountStores
      parameters:
        - name: verticale.in
          required: false
          in: query
          schema:
            oneOf:
              - type: array
                items:
                  $ref: '#/components/schemas/CompanyVerticale'
              - type: '#/components/schemas/CompanyVerticale'
          description: Filter entries that match any of the specified values
        - name: verticale.notIn
          required: false
          in: query
          schema:
            oneOf:
              - type: array
                items:
                  $ref: '#/components/schemas/CompanyVerticale'
              - type: '#/components/schemas/CompanyVerticale'
          description: Filter entries that do not match any of the specified values
        - name: verticale.equals
          required: false
          in: query
          description: Filter entries that have a specific value
          schema:
            $ref: '#/components/schemas/CompanyVerticale'
        - name: verticale.notEquals
          required: false
          in: query
          description: Filter entries that do not have a specific value
          schema:
            $ref: '#/components/schemas/CompanyVerticale'
        - name: position.radius
          required: false
          in: query
          description: >-
            Radius in kilometers (max 50km). Optional, but if provided, latitude
            and longitude must also be provided.
          schema:
            minimum: 0
            maximum: 50
            type: number
        - name: position.latitude
          required: false
          in: query
          description: >-
            Latitude of the position. Optional, but if provided, longitude and
            radius must also be provided.
          schema:
            minimum: -90
            maximum: 90
            type: number
        - name: position.longitude
          required: false
          in: query
          description: >-
            Longitude of the position. Optional, but if provided, latitude and
            radius must also be provided.
          schema:
            minimum: -180
            maximum: 180
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CountStoresResponseDto'
components:
  schemas:
    CompanyVerticale:
      type: string
      enum:
        - BIKE
        - ELECTRIC_BIKE
        - MOPED
        - MOTORCYCLE
        - CAR
        - SCOOTER
        - SKI
        - CLIMBING
        - SNOWSHOES
        - SURF
        - PADDLE
        - CANOE_KAYAK
        - BOAT
        - EVENT
        - MOTOCULTURE
        - TOOLING
    CountStoresResponseDto:
      type: object
      properties:
        total:
          type: number
          description: Total number of stores matching the query
          minimum: 0
          example: 42
      required:
        - total
  securitySchemes:
    x-access-token:
      type: apiKey
      in: header
      name: x-access-token

````